Subject: Re: [Technical Errata Reported] RFC4443 (4445)

From: Dennis Ferguson <[email-masked]>
Date: Sat, 7 Nov 2015 17:39:25 -0800

> On 15 Sep 2015, at 05:19 , Ralph Droms <[email-masked]> wrote:
>> On Sep 14, 2015, at 1:02 PM, 神明達哉 <[email-masked]> wrote:
>> 
>> At Mon, 14 Sep 2015 08:20:17 -0400,
>> Brian Haberman <[email-masked]> wrote:
>> 
>>>    Looking for thoughts on this erratum.  Given my understanding of
>>> the development of RFC 4443, I am inclined to reject this erratum.  It
>>> appears to be making a retroactive change to the text to align with
>>> current terminology and functionality.  That is not the function of the
>>> errata system.
>> 
>> I agree that the proposed change goes beyond the level of errata.
>> In particular, the proposed change to the Code 0 description rather
>> seems to be a protocol update.
> 
> I agree.

I’m back at this after a bit.  Would it be possible for someone to tell me
what the current protocol is so that I can figure out how to implement that?

Here’s the situation I’m confused about.  I’m the Border router at the edge
of an organization that was assigned 2601:db8:1a/48.  The organization
has put bits of that space into use, say 2601:db8:1a:1000/54,
2601:db8:1a:1800/53 and 2601:db8:1a:9000/53; the rest of the space is unused.
Border advertises 2601:db8:1a/48 to the Provider router it’s attached to (or,
equivalently, Provider static routes that destination to Border), i.e.

                                                       2601:db8:1a:1000/54
                                                      / 
    +------------+                    +------------+ / 
    |            | 2601:db8:1a/48 --> |            |/
    |  Provider  |<------------------>|   Border   |---2601:db8:1a:1800/53
    |            |                    |            |\
    +------------+                    +------------+ \ 
                                                      \ 
                                                       2601:db8:1a:9000/53

What is supposed to happen when Border receives a packet destined
to 2601:db8:1a::1 when Border has no default route?

Does something different happen when Border has a default route
pointing at Provider?

Does something different happen when Border has no default route
but does have a route to 2601:db8/32 pointing at Provider?

It is pretty clear that the packet to 2601:db8:1a::1 can’t be
delivered to anyone in any of these cases so I think the only
question is, what error is sent back to the sender?

Dennis Ferguson

---

From: [email-masked]
Date: Mon, 9 Nov 2015 11:37:47 +0100

Dennis,

> equivalently, Provider static routes that destination to Border), i.e.

This looks like a configuration error. See RFC7084, WPD-5.
I suppose a route to null is a reject route, so unreachable code 6.

cheers,
Ole